ResourceControllerStoreBuiltInResourceFile Method

POST /Resource/BuiltInResourceFile/ Stores the contents of the specified built-in resource when sent as a file. This API call expects form files inside the request body.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax
[HttpPostAttribute]
[ActionNameAttribute("BuiltInResourceFile")]
public HttpResponseMessage StoreBuiltInResourceFile(
	BuiltInResourceKind resourceKind,
	Nullable<Guid> tenantId = null,
	Nullable<Guid> sessionId = null
)

Parameters

resourceKind
Type: Dundas.BI.AppResourcesBuiltInResourceKind
The kind of resource to get.
tenantId (Optional)
Type: SystemNullableGuid
The optional tenant ID this resource is for.
sessionId (Optional)
Type: SystemNullableGuid
The ID of the session.

Return Value

Type: HttpResponseMessage
A BuiltInResourceInfoData with the result, or a status code indicating the problem.
See Also